
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #367

Weird CUE behavior when audio file is MP3 file

November 09, 2013 12:28 - Lavrentij Berija

Status: Closed Start date: November 09, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/cue Estimated time: 0.00 hour

Target version:    

Affects version: 3.2.1   

Description

I tried to play CUE sheet file (attached). Audacious skips the 1st track completely, doesn't play most of the other tracks or plays them

for a few seconds only. The same CUE sheet with OGG and WAV files (converted) works just fine.

History

#1 - November 09, 2013 12:30 - Lavrentij Berija

OS: Ubuntu 12.04. I haven't tried other audacious versions.

#2 - November 09, 2013 15:11 - John Lindgren

Please attach or link to the MP3 file as well.

#3 - November 09, 2013 16:33 - Lavrentij Berija

The original file is copyrighted so here's 1 hour of "pink fluffy unicorns dancing on rainbows": http://yadi.sk/d/gno-k-anCQLw6 (click the blue button on

the right to download). It's just the same with any MP3 file I tried.

#4 - November 21, 2013 01:42 - John Lindgren

- File buttons.png added

#5 - November 21, 2013 01:43 - John Lindgren

These are the only two buttons I see (neither one is blue):

 buttons.png 

#6 - November 21, 2013 03:14 - Lavrentij Berija

It's white now (it was blue when I posted my message).

#7 - November 22, 2013 22:10 - John Lindgren

Please provide a working (permanent) link.

#8 - November 23, 2013 04:13 - Lavrentij Berija

http://www.sendspace.com/file/h24cs0

#9 - November 24, 2013 03:57 - John Lindgren

I can't reproduce.  Please attach the output of "audacious -V" when you play only the first track.

#10 - November 24, 2013 05:18 - Lavrentij Berija

main.c:583 [main]: Startup complete.

probe.c:175 [file_find_decoder]: Probing file:///home/heilkitty/01.%20ISDN%20Live%20Transmission%20-%20Forth%2

0FM%2028.10.96.mp3.
probe.c:125 [probe_by_scheme]: Probing by scheme.

probe.c:141 [probe_by_extension]: Probing by extension.

probe.c:113 [probe_func_fast]: Guessing MPG123.

pluginenum.c:142 [plugin_load]: Loading plugin: /usr/lib/i386-linux-gnu/audacious/Input/madplug.so.

mpg123.c:60 [aud_mpg123_init]: initializing mpg123 library

mpg123.c:63 [aud_mpg123_init]: initializing control mutex

plugin-registry.c:483 [plugin_register_loaded]: Loaded plugin: /usr/lib/i386-linux-gnu/audacious/Input/madplug

.so

VFS: <0x8ed79a0> open (mode r) file:///home/heilkitty/mpg123.c:304 [mpg123_playback_worker]: playback worker s

tarted for file:///home/heilkitty/01.%20ISDN%20Live%20Transmission%20-%20Forth%20FM%2028.10.96.mp3

mpg123.c:307 [mpg123_playback_worker]: Checking for streaming ...

VFS: <0x8ed79a0> size = 149550919

VFS: <0x8ed79a0> seek to 0 from end

VFS: <0x8ed79a0> tell = 149550919

VFS: <0x8ed79a0> seek to -128 from end

VFS: <0x8ed79a0> tell = 149550791

VFS: <0x8ed79a0> seek to 0 from beginning

VFS: <0x8ed79a0> tell = 0

VFS: <0x8ed79a0> seek to 1041 from current

VFS: <0x8ed79a0> tell = 273535

VFS: <0x8ed79a0> seek to -1045 from current

VFS: <0x8ed79a0> tell = 272494

probe.c:175 [file_find_decoder]: Probing file:///home/heilkitty/01.%20ISDN%20Live%20Transmission%20-%20Forth%2

0FM%2028.10.96.mp3.

effect.c:69 [effect_start]: probe.c:125 [probe_by_scheme]: Probing by scheme.

probe.c:141 [probe_by_extension]: Probing by extension.

probe.c:113 [probe_func_fast]: Guessing MPG123.

Starting effects.

VFS: <0x8ed7770> open (mode r) file:///home/heilkitty/VFS: <0x8ed7770> size = 149550919

VFS: <0x8ed7770> seek to 0 from beginning

id3/id3v24.c:167 [validate_header]: Found ID3v2 header:

id3/id3v24.c:168 [validate_header]:  magic = ID3

id3/id3v24.c:169 [validate_header]:  version = 3

id3/id3v24.c:170 [validate_header]:  revision = 0

id3/id3v24.c:171 [validate_header]:  flags = 0

id3/id3v24.c:172 [validate_header]:  size = 272480

id3/id3v24.c:269 [read_header]: Offset = 0, header size = 10, data size = 272480, footer size = 0.

tag_module.c:52 [find_tag_module]: Module ID3v2.3/4 accepted file.

id3/id3v24.c:167 [validate_header]: Found ID3v2 header:

id3/id3v24.c:168 [validate_header]:  magic = ID3

id3/id3v24.c:169 [validate_header]:  version = 3

id3/id3v24.c:170 [validate_header]:  revision = 0

id3/id3v24.c:171 [validate_header]:  flags = 0

id3/id3v24.c:172 [validate_header]:  size = 272480

id3/id3v24.c:269 [read_header]: Offset = 0, header size = 10, data size = 272480, footer size = 0.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = COMM

id3/id3v24.c:317 [read_frame]:  size = 14

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 14.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = TENC

id3/id3v24.c:317 [read_frame]:  size = 27

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 27.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = COMM

id3/id3v24.c:317 [read_frame]:  size = 102

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 102.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = COMM

id3/id3v24.c:317 [read_frame]:  size = 128

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 128.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = TPE1

id3/id3v24.c:317 [read_frame]:  size = 55

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 55.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = TYER

id3/id3v24.c:317 [read_frame]:  size = 11

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 11.
id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = TIT2

id3/id3v24.c:317 [read_frame]:  size = 87

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 87.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = TALB

id3/id3v24.c:317 [read_frame]:  size = 51

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 51.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = TRCK

id3/id3v24.c:317 [read_frame]:  size = 13

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 13.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = TCON

id3/id3v24.c:317 [read_frame]:  size = 87

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 87.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = TPUB

id3/id3v24.c:317 [read_frame]:  size = 27

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 27.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = TSRC

id3/id3v24.c:317 [read_frame]:  size = 11

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 11.

id3/id3v24.c:315 [read_frame]: Found frame:

id3/id3v24.c:316 [read_frame]:  key = APIC

id3/id3v24.c:317 [read_frame]:  size = 270771

id3/id3v24.c:318 [read_frame]:  flags = 0

id3/id3v24.c:346 [read_frame]: Data size = 270771.

id3/id3-common.c:53 [convert_text]: length = 270758, encoding = 0, nulled = 1

id3/id3-common.c:67 [convert_text]: length before null = 0

id3/id3-common.c:111 [convert_text]: length converted: 0

id3/id3-common.c:112 [convert_text]: string: 

id3/id3v24.c:925 [parse_apic]: APIC: mime = image/jpeg, type = 3, desc = , size = 270757.

VFS: (last message repeated 2 times)

VFS: <0x8ed7770> close

output.c:177 [set_gain]: Replay Gain info:

output.c:178 [set_gain]:  album gain: 0,000000 dB

output.c:179 [set_gain]:  album peak: 0,000000

output.c:180 [set_gain]:  track gain: 0,000000 dB

output.c:181 [set_gain]:  track peak: 0,000000

mpg123.c:372 [mpg123_playback_worker]: starting decode

mpg123.c:478 [mpg123_playback_worker]: decode complete

VFS: <0x8ed79a0> close

** (audacious:18978): CRITICAL **: textbox_render_bitmap: assertion `utf32' failed

probe.c:175 [file_find_decoder]: Probing file:///home/heilkitty/01.%20ISDN%20Live%20Transmission%20-%20Forth%2

0FM%2028.10.96.mp3.

probe.c:125 [probe_by_scheme]: Probing by scheme.

probe.c:141 [probe_by_extension]: Probing by extension.

probe.c:113 [probe_func_fast]: Guessing MPG123.

VFS: <0xb5801720> open (mode r) file:///home/heilkitty/mpg123.c:304 [mpg123_playback_worker]: playback worker 

started for file:///home/heilkitty/01.%20ISDN%20Live%20Transmission%20-%20Forth%20FM%2028.10.96.mp3

mpg123.c:307 [mpg123_playback_worker]: Checking for streaming ...

VFS: <0xb5801720> size = 149550919

VFS: <0xb5801720> seek to 0 from end

VFS: <0xb5801720> tell = 149550919

VFS: <0xb5801720> seek to -128 from end

VFS: <0xb5801720> tell = 149550791

VFS: <0xb5801720> seek to 0 from beginning

VFS: <0xb5801720> tell = 0

VFS: <0xb5801720> seek to 1041 from current

VFS: <0xb5801720> tell = 273535

VFS: <0xb5801720> seek to -1045 from current

VFS: <0xb5801720> tell = 272494

effect.c:69 [effect_start]: Starting effects.

output.c:177 [set_gain]: Replay Gain info:

output.c:178 [set_gain]:  album gain: 0,000000 dB

output.c:179 [set_gain]:  album peak: 0,000000
output.c:180 [set_gain]:  track gain: 0,000000 dB

output.c:181 [set_gain]:  track peak: 0,000000

mpg123.c:372 [mpg123_playback_worker]: starting decode

** (audacious:18978): CRITICAL **: textbox_render_bitmap: assertion `utf32' failed

** (audacious:18978): CRITICAL **: textbox_draw: assertion `data && data->buf' failed

mpg123.c:478 [mpg123_playback_worker]: decode complete

VFS: <0xb5801720> close

 

Anyway, I've updated to 3.4.2, MP3+CUE works fine now, so it's for you to decide if this bug is worth fixing.

#11 - November 24, 2013 05:38 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

Lavrentij Berija wrote:

Anyway, I've updated to 3.4.2, MP3+CUE works fine now, so it's for you to decide if this bug is worth fixing.

 

Glad to hear that it is working.  3.2.x isn't maintained upstream any more.  You are welcome to forward the bug to Ubuntu if you like, but I doubt that

they will consider it a priority.

Files

01. ISDN Live Transmission - Forth FM 28.10.96.cue 2.05 KBNovember 09, 2013 Lavrentij Berija

buttons.png 6.32 KBNovember 21, 2013 John Lindgren

Powered by TCPDF (www.tcpdf.org)

May 17, 2025 4/4

http://www.tcpdf.org

